function add_statusbar(base, game_state) {
	ui_layer = game.add.group()
	base.add(ui_layer)
	game.world.bringToTop(ui_layer)

	var style = {
		fontSize: FONT_SIZE,
		fill: "#cb740e",
		stroke: "#1e1e1e",
		strokeThickness: 1,
		wordWrap: true,
		wordWrapWidth: 770,
	}

	ui_text = game.add.text(512, 19, "", style)
	ui_layer.add(ui_text)

	var statusbar = {
		update: function(game_state){
			var text = "Cars fixed: "+game_state.cars_fixed+", Money: "+game_state.money+" €"
			ui_text.text = text
			ui_text.anchor.x = Math.round(ui_text.width * 0.5) / ui_text.width;
		},
	}

	statusbar.update(game_state)

	return statusbar
}
